org.apache.commons.math3.linear

## Interface SparseRealMatrix

All Superinterfaces:
  AnyMatrix, RealMatrix

All Known Implementing Classes:
  OpenMapRealMatrix

Deprecated.
As of version 3.1, this class is deprecated, for reasons exposed in this JIRA ticket. This class will be removed in version 4.0.

    @Deprecated
    public interface SparseRealMatrix
    extends RealMatrix

Marker interface for `RealMatrix` implementations that require sparse backing storage

Since:
  2.0
Version:
  $Id: SparseRealMatrix.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

### Methods inherited from interface org.apache.commons.math3.linear.RealMatrix

`add, addToEntry, copy, copySubMatrix, copySubMatrix, createMatrix, getColumn, getColumnMatrix, getColumnVector, getData, getEntry, getFrobeniusNorm, getNorm, getRow, getRowMatrix, getRowVector, getSubMatrix, getSubMatrix, getTrace, multiply, multiplyEntry, operate, operate, power, preMultiply, preMultiply, preMultiply, scalarAdd, scalarMultiply, setColumn, setColumnMatrix, setColumnVector, setEntry, setRow, setRowMatrix, setRowVector, setSubMatrix, subtract, transpose, walkInColumnOrder, walkInColumnOrder, walkInColumnOrder, walkInColumnOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInRowOrder, walkInRowOrder, walkInRowOrder, walkInRowOrder`

### Methods inherited from interface org.apache.commons.math3.linear.AnyMatrix

`getColumnDimension, getRowDimension, isSquare`